c
c-----------------------------------------------------------------------
c
c ****** Arrays for polar fitting.
c
c ****** Utility arrays for least-squares fitting.
c
      real thfit(nfitmax)
      real brsfit(nfitmax)
      real brcfit(nfitmax)
      pointer (ipthfit,thfit)
      pointer (ipbrsfit,brsfit)
      pointer (ipbrcfit,brcfit)
c
c ****** Polar fit coefficients.
c
      real abc_cos_n(3,mxmodes)
      real abc_sin_n(3,mxmodes)
      real abc_cos_s(3,mxmodes)
      real abc_sin_s(3,mxmodes)
      pointer (ipabc_cos_n,abc_cos_n)
      pointer (ipabc_sin_n,abc_sin_n)
      pointer (ipabc_cos_s,abc_cos_s)
      pointer (ipabc_sin_s,abc_sin_s)
c
c ****** Temporary arrays to hold the Fourier transform.
c
      real brs(ntmax)
      real brc(ntmax)
      pointer (ipbrs,brs)
      pointer (ipbrc,brc)
c
      common /fitcom1/ nfitmax,mxmodes,ntmax
c
      common /fitcom2/ ipthfit,ipbrsfit,ipbrcfit,
     &                 ipabc_cos_n,ipabc_sin_n,
     &                 ipabc_cos_s,ipabc_sin_s,
     &                 ipbrs,ipbrc
c
c-----------------------------------------------------------------------
c
