!****h* e0pro/main
! NAME 
!   COMMET
! PURPOSE
!   Method of solution
! HISTORY
!   2005-03-12 DO NOAA/SEC
!*********************************************************************
MODULE COMMET
!---------------------------------------------------------------------  
  USE commax, ONLY : maxblk        !Obtain maximum array dimensions
  IMPLICIT NONE
  PUBLIC
!---------------------------------------------------------------------  
!L                  M.1      Numerical control                          
#ifdef PARAMESH
    REAL(kind=8)  CTORE, CTODE
#endif
  REAL(kind=8)  AKCFL, AKDT,  AKDTMN, AKDTMX, CFLMAX, CFLRES, DT,    &
                DTMAX, DTMIN, DTZERO, DTH,    DTQ,    DTMOM,  DTHMOM,&
                DTENE, DTHENE,DTMAG,  DTHMAG, CDIFB,  Z13,    Z23        
  REAL(kind=8), DIMENSION(maxblk) :: CFLMX, CFL1MX, CFL2MX, CFL3MX
!L                  M.2      Timestep control                          
  INTEGER  MSTEP, NDT, NITMAX, NLIMDT, NSPLIT, NDIVB, NX1CFL, NX2CFL  
  INTEGER, DIMENSION(3) ::  NSOLVE 
  LOGICAL  NLREP, NLTIMC
END MODULE COMMET
