!****h* e0pro/main
! NAME 
!   COMOLY
! PURPOSE
!   Olympus variables
! HISTORY
!   1990-07-31 DO GFU/SAV Bratislava
!*********************************************************************
MODULE COMOLY
!---------------------------------------------------------------------  
  IMPLICIT NONE 
  PUBLIC
!---------------------------------------------------------------------
  REAL(kind=8), PARAMETER ::  zero = 0.0d0,   zhalf = 0.5d0,          &
                              zone = 1.0d0,   ztwo = 2.0d0,           &
                              zthree = 3d0,   zten = 10d0,            &
                              ztenth = 0.1d0, zmin = 1d-30
!---------------------------------------------------------------------
!L                  Z.1      Basic program control                      
! INTEGER  LREFINE_TIM, LREFINE_INI, mype, LREFINE_MIN, LREFINE_MAX 
  INTEGER  LREFINE_TIM, LREFINE_INI, mype 
  INTEGER  MYPROC, NPROCS, NSLABS
  REAL(kind=8)  ALTIME, CPTIME, REFDATE, STIME 
  LOGICAL  NLEND, NLERR, NLRES, NLSTOP 
  INTEGER  NBND, NBNDMX, MEVO, MFIN, MPASS, MVAL, MTIM, MXS, &
           MFX1S, MFX2S, MFX3S, MFGRD, MFBND, MFEVO,         &
           MFFIN, MFINI, MFRES, MFPAS, MFPASS, MFVAL, MFTIM
!L                  Z.2      Basic JOB and RUN labels                   
  CHARACTER(len=4)   :: LTIM 
  CHARACTER(len=8)   :: LPROJ, LBND, LPAS, LINI, LPAR, LRPAR 
  CHARACTER(len=12)  :: LGRD,  LCODE
  CHARACTER(len=30)  :: LCASE 
  CHARACTER(len=80)  :: LAJOB, LAGRD, LAGEOM, LABND, LAPAS, LAINI,  &
                        LARES, LACODE, LAPAR 
  CHARACTER(len=52)  :: LDIR,  LDPROJ, LIN, LRUN, LRES
  CHARACTER(len=80)  :: LDIN
  CHARACTER(len=90)  :: LDOUT, LDRES
  CHARACTER(len=120) :: LFGRD, LFBND, LFINI, LFRES, LFEVG, LFEVH, LFEVP, &
                  LFEVF, LFEVL, LFFIN, LFPAS, LFPASS, LFVAL, LFTIM, LFX1S, &
                  LFX2S, LFX3S, LFIN, LFOUT
!L                  Z.3      Basic OLYMPUS and CODE labels              
  CHARACTER(len=4)   ::  LPROC, LSTEP 
  CHARACTER(len=8)   ::  LTIME 
  CHARACTER(len=10)  ::  LNUM 
  CHARACTER(len=11)  ::  LDATE 
  CHARACTER(len=26)  ::  LALPH  
  CHARACTER(len=120) ::  LBLANK 
!---------------------------------------------------------------------
END MODULE COMOLY
