;===============================================================
;+
; NAME:
;    position_set_planar
; PURPOSE:
;    Setup position of a plot
; CATEGORY:
;    Graphics
; CALLING SEQUENCE:
;    position_set_planar
; INPUTS:
;    None
; KEYWORD PARAMETERS:
;    pxrange:    Minimum and maximum x-positions on the page
;    pyrange:    Minimum and maximum y-positions on the page
;    pxskip:     Offset[s] from x-positions on the page
;    pyskip:     Offset[s] from y-positions on the page
; OUTPUTS:
;    None
; COMMON BLOCKS:
;    comgrd
; MODIFICATION HISTORY:
;    D. Odstrcil, Ondrejov, July 1994
;-
;===============================================================
pro position_max_planar, xrange, yrange, angle, $
  xmin, xmax, ymin, ymax
;===============================================================
;X-Y axes
  xmin=xrange(0)
  xmax=xrange(1)
  ymin=yrange(0)
  ymax=yrange(1)
end
